Summary: Support Utilities for ncpfs, the free netware client for Linux.
Name:  ncpfs
Version:  2.0.10
Release:  2
Copyright:  GPL
Source:  ftp.gwdg.de:/pub/linux/misc/ncpfs/ncpfs-2.0.10.tgz
Patch: ncpfs-config.patch
Group: Networking/Utilities
Requires: ipxutils
ExcludeArch: axp
%description
This package contains tools to help configure and use the ncpfs filesysten,
which is a linux filesystem which understands the NCP protocol. This
protocol is used by Novell NetWare clients use to talk to NetWare servers. 

%package -n ipxutils
Summary: Utilities for IPX configuration
Version: 1.0
Release: 5
Group: Networking/Utilities
%description -n ipxutils
This package includes utilities necessary for configuring and debugging
IPX interfaces and networks under Linux. IPX is the low-level protocol
used by NetWare to transfer data.

%prep
%setup
%patch

%build
make
make -C ipxdump

%install
make install
ln -sf libncp.so.1.0 /lib/libncp.so
install -m755 ipxdump/ipxdump ipxdump/ipxparse /usr/bin/
for I in \
/usr/bin/ncopy \
/usr/bin/ncpmount \
/usr/bin/ncpumount \
/usr/bin/nprint \
/usr/bin/nsend \
/usr/bin/nwauth \
/usr/bin/nwbocreate \
/usr/bin/nwbols \
/usr/bin/nwboprops \
/usr/bin/nwborm \
/usr/bin/nwbpadd \
/usr/bin/nwbpcreate \
/usr/bin/nwbprm \
/usr/bin/nwbpset \
/usr/bin/nwbpvalues \
/usr/bin/nwfsinfo \
/usr/bin/nwfstime \
/usr/bin/nwgrant \
/usr/bin/nwpasswd \
/usr/bin/nwrevoke \
/usr/bin/nwrights \
/usr/bin/nwsfind \
/usr/bin/nwtrustee \
/usr/bin/nwuserlist \
/usr/bin/nwvolinfo \
/usr/bin/pserver \
/usr/bin/pqlist \
/usr/bin/slist \
/sbin/nwmsg \
/usr/bin/ipxdump \
/usr/bin/ipxparse \
/usr/bin/ipx_configure \
/usr/bin/ipx_interface \
/usr/bin/ipx_internal_net \
/usr/bin/ipx_route ; do
	strip $I
done

# these could be SUID root, but it's a security hole
#chmod 755 /usr/bin/ncpmount /usr/bin/ncpumount 
#chown root:root /usr/bin/ncpmount /usr/bin/ncpumount

%post
ldconfig

%postun
ldconfig

%files
%doc BUGS COPYING Changes FAQ README
/usr/bin/ncopy
/usr/bin/ncpmount
/usr/bin/ncpumount
/usr/bin/nprint
/usr/bin/nsend
/usr/bin/nwauth
/usr/bin/nwbocreate
/usr/bin/nwbols
/usr/bin/nwboprops
/usr/bin/nwborm
/usr/bin/nwbpadd
/usr/bin/nwbpcreate
/usr/bin/nwbprm
/usr/bin/nwbpset
/usr/bin/nwbpvalues
/usr/bin/nwfsinfo
/usr/bin/nwfstime
/usr/bin/nwgrant
/usr/bin/nwpasswd
/usr/bin/nwrevoke
/usr/bin/nwrights
/usr/bin/nwsfind
/usr/bin/nwtrustee
/usr/bin/nwuserlist
/usr/bin/nwvolinfo
/usr/bin/pserver
/usr/bin/pqlist
/usr/bin/slist
/sbin/nwmsg
/usr/man/man1/ncopy.1
/usr/man/man1/nprint.1
/usr/man/man1/nsend.1
/usr/man/man1/nwauth.1
/usr/man/man1/nwbols.1
/usr/man/man1/nwboprops.1
/usr/man/man1/nwbpvalues.1
/usr/man/man1/nwbpset.1
/usr/man/man1/nwfsinfo.1
/usr/man/man1/nwfstime.1
/usr/man/man1/nwpasswd.1
/usr/man/man1/nwsfind.1
/usr/man/man1/nwrights.1
/usr/man/man1/nwtrustee.1
/usr/man/man1/nwuserlist.1
/usr/man/man1/nwvolinfo.1
/usr/man/man1/pserver.1
/usr/man/man1/pqlist.1
/usr/man/man1/slist.1
/usr/man/man5/nwclient.5
/usr/man/man8/ncpmount.8
/usr/man/man8/ncpumount.8
/usr/man/man8/nwbocreate.8
/usr/man/man8/nwborm.8
/usr/man/man8/nwbpadd.8
/usr/man/man8/nwbpcreate.8
/usr/man/man8/nwbprm.8
/usr/man/man8/nwgrant.8
/usr/man/man8/nwmsg.8
/usr/man/man8/nwrevoke.8
/lib/libncp.so.1.0
/lib/libncp.so

%files -n ipxutils
%doc ipxdump/README ipx-1.0/COPYING ipx-1.0/README
/usr/bin/ipxdump
/usr/bin/ipxparse
/usr/bin/ipx_configure
/usr/bin/ipx_interface
/usr/bin/ipx_internal_net
/usr/bin/ipx_route
/usr/man/man8/ipx_configure.8
/usr/man/man8/ipx_interface.8
/usr/man/man8/ipx_internal_net.8
/usr/man/man8/ipx_route.8
